Browse Source

updated emacs, emacs24, wl, yatex, auctex, IIIMECF; added wl-beta; supported new vine-default

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@2750 ec354946-7b23-47d6-9f5a-488ba84defc7
munepi 13 years ago
parent
commit
ebbc46fd36

+ 17 - 0
I/IIIMECF/IIIMECF-init.el

@@ -0,0 +1,17 @@
+;;
+;; IIIMECF-init.el
+;;
+;; 	for Vine Linux with emacsen-common
+;; 	Munehiro Yamamoto <munepi@vinelinux.org>
+
+(defcustom vine-default-IIIMECF t
+  "A boolean for vine-default-IIIMECF"
+  :type 'boolean)
+
+(add-hook 'vine-default-setup-hook
+	  (lambda()
+	    (when vine-default-IIIMECF
+	      (message "Loading vine-default-IIIMECF ...")
+	      (require 'vine-default-IIIMECF))))
+
+;;; end of file

+ 75 - 0
I/IIIMECF/IIIMECF-install.sh

@@ -0,0 +1,75 @@
+#! /bin/sh -e
+#  /usr/lib/emacsen-common/packages/install/foo
+# [ This particular script hasn't been tested, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+VERSION="0.6"
+PACKAGE="IIIMECF"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+if [ ! -x "$ELCDIR" ] ; then
+    mkdir -p "$ELCDIR"
+fi
+
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+STAMP=${ELCDIR}/compile-stamp
+case "${FLAVOR}" in
+       emacs)
+       ;;
+       xemacs-21.1.14)
+         echo "Not Supported in this." 
+       ;;
+
+       # emacs20|emacs21|xemacs21)
+       *)
+
+       echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
+
+    if [ -e ${STAMP} ]; then
+        if [ "${VERSION}" = "`cat ${STAMP}`" ]; then
+            echo " exited. (already compiled)" 
+            exit
+        else
+            rm -f ${STAMP}
+        fi
+    fi
+
+       rm -rf ${ELCDIR}
+    install -m 755 -d ${ELCDIR}
+
+    # Byte compile them
+    (cd ${ELDIR}
+        ${FLAVOR} -q --no-site-file -batch -l iiimcf-comp.el > ${ELCDIR}/CompilationLog 2>&1
+    )
+    mv ${ELDIR}/lisp/*.elc ${ELCDIR}/
+    gzip -9 ${ELCDIR}/CompilationLog
+    echo ${VERSION} > ${STAMP}
+
+    install -p -m644 ${ELDIR}/vine-default-${PACKAGE}.el ${ELCDIR}
+    ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/40${STARTFILE};
+    echo " done."
+    ;;
+*)
+    ;;
+esac
+
+exit 0;
+

+ 42 - 0
I/IIIMECF/IIIMECF-remove.sh

@@ -0,0 +1,42 @@
+#!/bin/sh
+# /usr/lib/emacsen-common/packages/remove/foo
+# [ This particular script hasn't been tested either, so be careful. ]
+set -e
+
+FLAVOR=$1
+PACKAGE="IIIMECF"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+case "${FLAVOR}" in
+       emacs)
+       ;;
+       # emacs20|emacs21|xemacs21)
+       *)
+
+       echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+       rm -rf ${ELCDIR}
+       rm -f ${STARTDIR}/[0-9][0-9]${STARTFILE}*;
+       echo " done."
+       ;;
+    *)
+       ;;
+esac
+
+exit 0;
+

+ 6 - 1
I/IIIMECF/IIIMECF-vl.spec

@@ -2,7 +2,7 @@
 %define prereq_ge()  %(LC_ALL="C" rpm -q --queryformat 'PreReq:%%{NAME} >= %%{VERSION}' %1| grep -v "is not")
 
 %define		origver		0.75
-%define		release		5%{?_dist_release}
+%define		release		6%{?_dist_release}
 %define		emacs		emacs
 %define		origname	IIIMECF
 
@@ -113,6 +113,11 @@ fi
 
 
 %changelog
+* Thu Feb 24 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.75-6
+- updated IIIMECF-init.el
+  - output "Loading vine-default-IIIMECF ..." to the buffer *Messages*
+- fixed some comments of vine-default-IIIMECF.el
+
 * Sat Jul 25 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.75-5
 - updated yatex-install.sh
   - *-init.el: changed from hard copy to symbolic link 

+ 51 - 0
I/IIIMECF/vine-default-IIIMECF.el

@@ -0,0 +1,51 @@
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;  -*- coding: utf-8-unix -*-
+;;  FSF Emacs 23 用 Vine Linux IIIMECF 設定
+;;    Munehiro Yamamoto <munepi@vinelinux.org>
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;; Atok for X の設定
+;;  IIIMP 経由で実行します
+;; (要 MULE-UCS, IIIMECF)
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+(if (or (equal emacs-ime "iiimecf")
+	(equal emacs-ime "IIIMECF")
+	(equal emacs-ime "atokx")
+        (equal emacs-ime "atokx2")
+        (equal emacs-ime "atokx3"))
+    (progn
+      ;; (setq iiimcf-server-control-hostlist '("localhost"))
+      (setq iiimcf-server-control-hostlist
+	    (list 
+	     (concat "/tmp/.iiim-" (user-login-name) "/:0.0")
+	     "localhost"
+	     ;; "必要であれば、setq で継ぎ足して、ホストを追加していく。"
+	     ))
+
+      ;; (require 'un-define)
+      ;; (setq coding-category-utf-8 'utf-8)
+
+      (require 'iiimcf-sc)
+      (setq iiimcf-server-control-default-language "ja")
+      (setq default-input-method 'iiim-server-control)
+
+      ;; 変換トグルの設定
+      (define-key global-map "\C-\\" 'toggle-input-method)
+      ;; Shift-Space または 半角/全角 でも起動
+      (global-set-key [?\S-\ ] 'toggle-input-method)
+      (global-set-key [zenkaku-hankaku] 'toggle-input-method)
+
+      ;; モードライン表示をすっきりと
+      ;; (setcar default-mode-line-format "")
+
+      )
+  )
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+(provide 'vine-default-IIIMECF)
+
+;; Local Variables:
+;; mode: emacs-lisp
+;; End:

+ 18 - 0
a/auctex/auctex-init.el

@@ -0,0 +1,18 @@
+;;
+;; auctex-init.el
+;;
+;; 	for Vine Linux with emacsen-common
+;; 	Munehiro Yamamoto <munepi@vinelinux.org>
+
+(defcustom vine-default-auctex t
+  "A boolean for vine-default-auctex"
+  :type 'boolean)
+
+(add-hook 'vine-default-setup-hook
+	  (lambda()
+	    (when vine-default-auctex
+	      (message "Loading vine-default-auctex ...")
+	      (drop-vine-default-from-load-path "/yatex$")
+	      (require 'vine-default-auctex))))
+
+;;; end of file

+ 104 - 0
a/auctex/auctex-install.sh

@@ -0,0 +1,104 @@
+#! /bin/sh -e
+# /usr/lib/emacsen-common/packages/install/auctex
+# [ This particular script hasn't been tested, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="auctex"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+## <merged from auctex-11.85/Makefile>
+ELCC="${FLAVOR} -batch -q -no-site-file -no-init-file -l lpath.el"
+MULESRC="tex-jp.el"
+AUCSRC="tex.el tex-buf.el tex-style.el latex.el tex-info.el \
+	texmathp.el multi-prompt.el tex-mik.el font-latex.el tex-font.el \
+	context.el context-en.el context-nl.el tex-fold.el \
+	toolbar-x.el tex-bar.el bib-cite.el tex-fptex.el"
+STYLESRC="style/prosper.el \
+	   style/slides.el    style/foils.el     style/amstex.el \
+	   style/article.el   style/book.el      style/letter.el \
+	   style/report.el    style/amsart.el    style/amsbook.el \
+	   style/epsf.el      style/psfig.el     style/latexinfo.el \
+	   style/dutch.el     style/german.el    style/dk.el \
+	   style/j-article.el style/j-book.el    style/j-report.el \
+	   style/jarticle.el  style/jbook.el     style/jreport.el \
+	   style/dinbrief.el  style/virtex.el    style/plfonts.el \
+	   style/plhb.el      style/harvard.el	 style/swedish.el \
+	   style/danish.el    style/slovak.el    style/czech.el \
+	   style/amsmath.el   style/amstext.el   style/amsbsy.el \
+	   style/amsopn.el    style/amsthm.el	 style/natbib.el \
+	   style/index.el     style/makeidx.el   style/multind.el \
+	   style/varioref.el  style/fancyref.el	 style/mdwlist.el \
+	   style/ngerman.el   style/graphicx.el	 style/graphics.el \
+	   style/verbatim.el  style/scrbase.el   style/scrartcl.el \
+	   style/scrbook.el   style/scrreprt.el	 style/scrlttr2.el \
+	   style/scrpage2.el  style/captcont.el  style/subfigure.el \
+	   style/paralist.el  style/booktabs.el  style/emp.el \
+	   style/jura.el      style/alphanum.el	 style/beamer.el \
+	   style/alltt.el     style/italian.el   style/doc.el \
+	   style/ltxdoc.el    style/ltx-base.el	 style/units.el \
+	   style/nicefrac.el  style/url.el       style/listings.el \
+	   style/jurabib.el   style/csquotes.el  style/jsarticle.el \
+	   style/jsbook.el    style/babel.el     style/dk-bib.el \
+	   style/inputenc.el  style/frenchb.el   style/francais.el \
+	   style/MinionPro.el style/pdfsync.el   style/polish.el \
+	   style/polski.el    style/icelandic.el style/comment.el \
+	   style/flashcards.el style/pstricks.el style/nomencl.el"
+## </merged from auctex-11.85/Makefile>
+
+
+case "${FLAVOR}" in
+
+    *)
+
+	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
+
+	rm -rf ${ELCDIR}
+	install -m 755 -d ${ELCDIR}
+
+	# Byte compile
+	(
+	    cd ${ELDIR}
+	    install -p -m 0644 *.el ${ELCDIR}
+	    cp -ra style images ${ELCDIR}/
+	    cd ${ELCDIR}
+
+	    ${ELCC} -f batch-byte-compile \
+		${MULESRC} ${AUCSRC} ${STYLESRC} > CompilationLog 2>&1
+
+	    rm -f lpath.el auto-loads.el tex-wizard.el ${PACKAGE}-init.el
+	)
+
+	gzip -9 ${ELCDIR}/CompilationLog
+
+	if [ ! -d ${STARTDIR} ]; then
+	    install -m 755 -d ${STARTDIR}
+	fi
+
+	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/50${STARTFILE};
+
+	echo " done."
+
+	;;
+
+esac
+
+exit 0;

+ 39 - 0
a/auctex/auctex-remove.sh

@@ -0,0 +1,39 @@
+#!/bin/sh -e
+# /usr/lib/emacsen-common/packages/remove/auctex
+# [ This particular script hasn't been tested either, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="auctex"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+case "${FLAVOR}" in
+
+    *)
+
+	echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+	rm -rf ${ELCDIR}
+	rm -f ${STARTDIR}/50${STARTFILE}*;
+	echo " done."
+
+	;;
+esac
+
+exit 0;

+ 12 - 5
a/auctex/auctex-vl.spec

@@ -13,7 +13,7 @@
 Summary:	Enhanced TeX modes for Emacsen
 Name:		%{origname}
 Version:	11.86
-Release:	2%{?_dist_release}
+Release:	3%{?_dist_release}
 Group: 		Applications/Editors/Emacs
 License:	GPLv3+
 URL:		http://www.gnu.org/software/auctex/
@@ -68,13 +68,16 @@ tool providing a fine-grained interactive folding WYSIWYG display in the
 source buffer. 
 
 If you are AUCTeX user and you install both yatex and auctex on your system, 
-you may add the following configure in your emacs init file ~/.emacs.el: 
+you may add the following configure in your emacs init file 
+%if %{?_dist_release} == "vl5"
+~/.emacs.el: 
+%else
+~/.emacs.d/emacsXX-vine-default.el (XX: emacs major version): 
+%endif
 
-;; I'm AUCTeX user!!!
+;; I am AUCTeX user!!!
 (setq vine-default-yatex nil)
 
-#'
-
 
 %package -n %{emacspkg}
 Summary:        Emacs/LaTeX inline preview
@@ -291,6 +294,10 @@ fi
 
 
 %changelog
+* Tue Feb 22 2011 Munehiro Yamamoto <munepi@vinelinux.org> 11.86-3
+- updated auctex-init.el and preview-latex-init.el
+  - output "Loading vine-default-xxxxx ..." to the buffer *Messages*
+
 * Mon Jan 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 11.86-2
 - fixed requirements
   - set BuildRequires: emacs >= 23.1

+ 18 - 0
a/auctex/preview-latex-init.el

@@ -0,0 +1,18 @@
+;;
+;; preview-latex-init.el
+;;
+;; 	for Vine Linux with emacsen-common
+;; 	Munehiro Yamamoto <munepi@vinelinux.org>
+
+(defcustom vine-default-preview-latex t
+  "A boolean for vine-default-preview-latex"
+  :type 'boolean)
+
+(add-hook 'vine-default-setup-hook
+	  (lambda()
+	    (when vine-default-preview-latex
+	      (message "Loading vine-default-preview-latex ...")
+	      (drop-vine-default-from-load-path "/yatex$")
+	      (require 'vine-default-preview-latex))))
+
+;;; end of file

+ 70 - 0
a/auctex/preview-latex-install.sh

@@ -0,0 +1,70 @@
+#! /bin/sh -e
+# /usr/lib/emacsen-common/packages/install/preview-latex
+# [ This particular script hasn't been tested, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="preview-latex"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+## <merged from auctex-11.85/preview/Makefile>
+ELCC="${FLAVOR} -batch -q -no-site-file -no-init-file"
+LISP_SOURCES="prv-emacs.el preview.el"
+## </merged from auctex-11.85/preview/Makefile>
+
+
+case "${FLAVOR}" in
+
+    *)
+
+	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
+
+	rm -rf ${ELCDIR}
+	install -m 755 -d ${ELCDIR}
+
+	# Byte compile
+	(
+	    cd ${ELDIR}
+	    install -p -m 0644 *.el ${ELCDIR}
+	    cp -ra images ${ELCDIR}/
+	    cd ${ELCDIR}
+
+	    ${ELCC} -f batch-byte-compile \
+		${LISP_SOURCES} > CompilationLog 2>&1
+
+	    rm -f auto.el ${PACKAGE}-init.el
+	)
+
+	gzip -9 ${ELCDIR}/CompilationLog
+
+	if [ ! -d ${STARTDIR} ]; then
+	    install -m 755 -d ${STARTDIR}
+	fi
+
+	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/50${STARTFILE};
+
+	echo " done."
+
+	;;
+
+esac
+
+exit 0;

+ 39 - 0
a/auctex/preview-latex-remove.sh

@@ -0,0 +1,39 @@
+#!/bin/sh -e
+# /usr/lib/emacsen-common/packages/remove/preview-latex
+# [ This particular script hasn't been tested either, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="preview-latex"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+case "${FLAVOR}" in
+
+    *)
+
+	echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+	rm -rf ${ELCDIR}
+	rm -f ${STARTDIR}/50${STARTFILE}*;
+	echo " done."
+
+	;;
+esac
+
+exit 0;

+ 26 - 0
a/auctex/vine-default-auctex.el

@@ -0,0 +1,26 @@
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;  -*- coding: utf-8-unix -*-
+;;  FSF Emacs 23 用 Vine Linux AUCTeX 設定
+;;    Munehiro Yamamoto <munepi@vinelinux.org>
+;;	$Id: $	
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;; AUCTeX 11.85
+;;   [La]TeX 入力モード
+;;   注意:AUCTeX は標準の TeX モードを上書きしています。
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+;; (autoload 'TeX-load-hack "tex-site.el")
+;; (TeX-load-hack)
+(require 'tex-site)
+
+(setq TeX-default-mode 'japanese-latex-mode)
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+(provide 'vine-default-auctex)
+
+;; Local Variables:
+;; mode: emacs-lisp
+;; End:

+ 22 - 0
a/auctex/vine-default-preview-latex.el

@@ -0,0 +1,22 @@
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;  -*- coding: utf-8-unix -*-
+;;  FSF Emacs 23 用 Vine Linux preview-latex 設定
+;;    Munehiro Yamamoto <munepi@vinelinux.org>
+;;	$Id: $	
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;; preview-latex
+;;   LaTeX のインラインプレビュー
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+(require 'preview)
+(require 'preview-latex)
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+(provide 'vine-default-preview-latex)
+
+;; Local Variables:
+;; mode: emacs-lisp
+;; End:

+ 6 - 1
e/emacs/emacs23-vl.spec

@@ -1,4 +1,4 @@
-%define emacsversion 23.2.93
+%define emacsversion 23.2.94
 #% define cvsdate 20100104
 %define emacsrelease 1%{?cvsdate:.%cvsdate}%{?_dist_release}
 
@@ -423,6 +423,11 @@ unset PRIORITY
 %{_localstatedir}/games/emacs/*
 
 %changelog
+* Tue Feb 22 2011 Munehiro Yamamoto <munepi@vinelinux.org> 23.2.94-1
+- updated to 23.2.94 (23.3 pretest)
+- updated site-start.el
+  - defined the function drop-vine-default-from-load-path (regex)
+
 * Wed Feb 02 2011 Munehiro Yamamoto <munepi@vinelinux.org> 23.2.93-1
 - updated to 23.2.93 (23.3 pretest)
 

+ 8 - 0
e/emacs/site-start.el.emacs23

@@ -50,6 +50,14 @@
   (shell-command 
    "/usr/lib/emacsen-common/show-vine-default.sh EMACS_VERSION"))
 
+(defun drop-vine-default-from-load-path (regex)
+  "A function to drop a path matching to REGEX from load-path"
+  (setq load-path
+	(loop for x in load-path
+	      unless (string-match regex x)
+	      collect x))
+  )
+
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
 ;;; run functions from the /etc/emacs-EMACS_VERSION/site-start.d directory

+ 7 - 2
e/emacs24/emacs24-vl.spec

@@ -1,6 +1,6 @@
 %define emacsversion 24.0.50
-%define bzrdate 20110128
-%define emacsrelease 3%{?bzrdate:.%bzrdate}%{?_dist_release}
+%define bzrdate 20110222
+%define emacsrelease 4%{?bzrdate:.%bzrdate}%{?_dist_release}
 
 %define _noVersionedDependencies 1
 %define prereq_ge()  %(LC_ALL="C" rpm -q --queryformat 'PreReq:%%{NAME} >= %%{VERSION}' %1| grep -v "is not")
@@ -393,6 +393,11 @@ unset PRIORITY
 
 
 %changelog
+* Tue Feb 22 2011 Munehiro Yamamoto <munepi@vinelinux.org> 24.0.50-4.20110222
+- emacs24 24.0.50 (20110222) snapshot
+- updated site-start.el
+  - defined the function drop-vine-default-from-load-path (regex)
+
 * Sat Jan 22 2011 Munehiro Yamamoto <munepi@vinelinux.org> 24.0.50-3.20110128
 - emacs24 24.0.50 (20110128) snapshot
 

+ 8 - 0
e/emacs24/site-start.el.emacs24

@@ -50,6 +50,14 @@
   (shell-command 
    "/usr/lib/emacsen-common/show-vine-default.sh EMACS_VERSION"))
 
+(defun drop-vine-default-from-load-path (regex)
+  "A function to drop a path matching to REGEX from load-path"
+  (setq load-path
+	(loop for x in load-path
+	      unless (string-match regex x)
+	      collect x))
+  )
+
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
 ;;; run functions from the /etc/emacs-EMACS_VERSION/site-start.d directory

+ 7 - 1
v/vbootstrap/vbootstrap-vl.spec

@@ -1,7 +1,7 @@
 # This package is maintained on trac svn repository. Please do not change on local.
 # If you find a BUG, please report to Vine@vinelinux.org or mailing list or BTS.
 
-%define version 0.0.37
+%define version 0.0.38
 
 Summary: bootstrap scripts to create a basic Vine Linux system
 Summary(ja): Vine Linux の基本システムを作成するためのスクリプト
@@ -80,6 +80,12 @@ vbuilder は vbootstrap を利用して chroot 環境の構築し、
 
 
 %changelog
+* Fri Feb 18 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.38-1
+- updated vbuilder.sh.in
+  - added $$UNIONFS_DIR
+  - added --debug, --login options
+  - applied vbootstrap-0.0.37-armhack.patch (Thanks to parrot-san)
+
 * Wed Feb 09 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.37-1
 - fixed a little mistake of vbuilder.sh.in
 - supported --unionfs for RPM_Sign()

+ 24 - 0
w/wl-beta/vine-default-wl-beta.el

@@ -0,0 +1,24 @@
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;  -*- coding: utf-8-unix -*-
+;;  FSF Emacs 24 用 Vine Linux Wanderlust (beta version) 設定
+;;    Munehiro Yamamoto <munepi@vinelinux.org>
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+(autoload 'wl "wl" "Wanderlust" t)
+(autoload 'wl-other-frame "wl" "Wanderlust on new frame." t)
+(autoload 'wl-draft "wl" "Write draft with Wanderlust." t)
+
+;; ;;; デフォルトの Web ブラウザ
+;; (setq browse-url-browser-function (quote browse-url-firefox))
+
+;;; Bug#419187: wl: smtp-end-of-line is void
+;;; from http://www.nabble.com/Bug-419187%3A-wl%3A-smtp-end-of-line-is-void-to9991482.html
+(setq smtp-end-of-line "\n")
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+(provide 'vine-default-wl-beta)
+
+;; Local Variables:
+;; mode: emacs-lisp
+;; End:

+ 18 - 0
w/wl-beta/wl-beta-init.el

@@ -0,0 +1,18 @@
+;;
+;; wl-beta-init.el
+;;
+;; 	for Vine Linux with emacsen-common
+;; 	Munehiro Yamamoto <munepi@vinelinux.org>
+
+(defcustom vine-default-wl-beta t
+  "A boolean for vine-default-wl-beta"
+  :type 'boolean)
+
+(add-hook 'vine-default-setup-hook
+	  (lambda()
+	    (when vine-default-wl-beta
+	      (message "Loading vine-default-wl-beta ...")
+	      (drop-vine-default-from-load-path "/wl$")
+	      (require 'vine-default-wl-beta))))
+
+;;; end of file

+ 97 - 0
w/wl-beta/wl-beta-install.sh

@@ -0,0 +1,97 @@
+#!/bin/sh -e
+#  /usr/lib/emacsen-common/packages/install/wl-beta
+# [ This particular script hasn't been tested, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="wl-beta"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+PIXMAPDIR=/usr/share/${FLAVOR}/etc/wl-beta
+
+EFLAGS="-batch -q"
+COMPILE="-batch -q -f batch-byte-compile"
+
+case "${FLAVOR}" in
+
+    emacs|emacs19)
+
+	;;
+
+    *)
+
+	if [ -e /usr/lib/emacsen-common/packages/install/wemi ]; then
+	    if [ ! -d ${SITELISP}/semi ] ; then
+		/usr/lib/emacsen-common/packages/install/wemi ${FLAVOR}
+	    fi
+	fi
+
+	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
+
+	if [ ! -d /usr/share/emacs/site-lisp/semi ]; then
+	    echo " exited."
+	    echo "W: Please install \`semi' package for ${FLAVOR}." ;
+	    exit 0;
+	fi
+
+	rm -rf ${ELCDIR}
+	install -m 755 -d ${ELCDIR}
+
+	# Byte compile
+	(
+	    cd ${ELDIR}
+	    make EMACS=${FLAVOR} FLAGS="${EFLAGS}" LISPDIR=${SITELISP} \
+		> ${ELCDIR}/CompilationLog 2>&1
+
+	    case "${FLAVOR}" in
+		xemacs-*|emacs-21*)
+		    make EMACS=${FLAVOR} FLAGS="${EFLAGS}" LISPDIR=${SITELISP} \
+			PIXMAPDIR=${PIXMAPDIR} install \
+			>> ${ELCDIR}/CompilationLog 2>&1
+		;;
+		*)
+		    make EMACS=${FLAVOR} FLAGS="${EFLAGS}" LISPDIR=${SITELISP} \
+			PIXMAPDIR=${PIXMAPDIR} \
+			install  >> ${ELCDIR}/CompilationLog 2>&1
+		;;
+	    esac
+
+	    make EMACS=${FLAVOR} FLAGS="${EFLAGS}" LISPDIR=${SITELISP} clean \
+		>> ${ELCDIR}/CompilationLog 2>&1
+
+	    rm -f ${ELCDIR}/*.el
+	    #cp ${STARTFILE} ${ELCDIR}
+	    rm -f *.elc elmo/*.elc
+
+	    rm -f vine-default-${PACKAGE}.elc
+	    install -p -m644 ${ELDIR}/vine-default-${PACKAGE}.el ${ELCDIR}
+	)
+
+	gzip -9 ${ELCDIR}/CompilationLog
+
+	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/55${STARTFILE};
+	echo " done."
+
+	;;
+
+esac
+
+exit 0;

+ 46 - 0
w/wl-beta/wl-beta-remove.sh

@@ -0,0 +1,46 @@
+#!/bin/sh
+# /usr/lib/emacsen-common/packages/remove/wl-beta
+# [ This particular script hasn't been tested either, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="wl-beta"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+PIXMAPDIR=/usr/share/${FLAVOR}/etc/wl
+
+case "${FLAVOR}" in
+
+    emacs|emacs19)
+
+	;;
+
+    *)
+
+	echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+	rm -rf ${ELCDIR}
+	rm -rf ${PIXMAPDIR}
+	rm -f ${STARTDIR}/55${STARTFILE}*
+	echo " done."
+
+	;;
+esac
+
+exit 0;

+ 198 - 0
w/wl-beta/wl-beta-vl.spec

@@ -0,0 +1,198 @@
+%define	_noVersionedDependencies        1
+%define	prereq_ge()  %(LC_ALL="C" rpm -q --queryformat 'Requires(post):%%{NAME} >= %%{VERSION}' %1| grep -v "is not")
+
+%define pkgname wl
+%define cvsdate 20110220
+
+Summary:      IMAP-capable mail/news reader for emacsen (development version)
+Summary(ja):  Emacsen 用 IMAP に対応したメール/ニュースリーダ(開発版)
+Name:         wl-beta
+Version:      2.15.9
+Release:      1%{?cvsdate:.cvs%cvsdate}%{?_dist_release}
+License:      GPLv2
+Group:        Applications/Editors/Emacs
+Source0:      %{pkgname}-%{version}%{?cvsdate:.cvs%cvsdate}.tar.xz
+Source1:      %{name}-install.sh
+Source2:      %{name}-remove.sh
+Source3:      %{name}-init.el
+Source4:      vine-default-%{name}.el
+# Script used to create the %{pkgname}-%{version}.cvs%{cvsdate}.tar.xz 
+# archive from Wanderlust CVS
+Source10:     wl-snapshot.sh
+
+Patch1:       wl-2.14.0-wl-news.patch
+
+#Patch10:      wl-2.8.1-texi-ja.diff
+Patch11:      wl-2.8.1-install-utils.diff
+
+Patch50:      wl-2.15.9-wl-beta.patch
+
+BuildRoot:    %{_tmppath}/%{name}-%{version}-root
+BuildArch:    noarch
+
+Requires(post): emacsen
+%prereq_ge     emacsen-common
+%prereq_ge     semi
+%prereq_ge     w3m-el
+BuildRequires: emacsen-common, semi, w3m-el
+
+Vendor:       Project Vine
+Distribution: Vine Linux
+Packager:     munepi
+
+
+%description
+Wanderlust is a mail/news management system with IMAP4rev1 support for Emacs.
+Overall impression resembles to Mew, but Wanderlust have nifty
+features like IMAP support, threading display, and so on. 
+
+This is a development version of Wanderlust. 
+
+If you install both wl and wl-beta packages on your system, 
+you may add the following configure in your emacs init file 
+%if %{?_dist_release} == "vl5"
+~/.emacs.el: 
+%else
+~/.emacs.d/emacsXX-vine-default.el (XX: emacs major version): 
+%endif
+
+;; I use wl-beta. 
+(setq vine-default-wl nil)
+
+
+%description -l ja
+Wanderlust は、elisp のみで実装された IMAPrev1 対応の
+メール/ニュースリーダです。
+使用感は Mew に近く、加えてスレッド表示や未読管理などにも対応しています。
+
+これは Wanderlust の開発バージョンです。
+
+wl と wl-beta パッケージの両方をインストールする場合、
+%if %{?_dist_release} == "vl5"
+~/.emacs.el: 
+%else
+~/.emacs.d/emacsXX-vine-default.el (XX: emacs のメジャーバージョン)
+%endif
+に以下の設定を追加するとよいでしょう。
+
+;; wl-beta を使う
+(setq vine-default-wl nil)
+
+
+%prep
+%__rm -rf ${RPM_BUILD_DIR}/%{pkgname}-%{version}
+
+%setup -q -n %{pkgname}-%{version}
+
+%patch1 -p1
+
+#%patch10 -p1
+%patch11 -p1
+
+%patch50 -p1 -b .vine
+
+touch doc/*.texi
+
+
+%install
+
+[ "${RPM_BUILD_ROOT}" != "/" ] && %__rm -rf ${RPM_BUILD_ROOT}
+[ "${RPM_BUILD_ROOT}" != "/" ] && %__mkdir_p ${RPM_BUILD_ROOT}
+
+%__mkdir_p ${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{name}/etc
+%__mkdir_p ${RPM_BUILD_ROOT}%{emacsen_pkgdir}/install
+%__mkdir_p ${RPM_BUILD_ROOT}%{emacsen_pkgdir}/remove
+%__mkdir_p ${RPM_BUILD_ROOT}%{_infodir}
+
+
+#
+# install el files
+# 
+
+%__cp -a WL-* Makefile wl %{SOURCE3} %{SOURCE4} \
+	${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{name}
+%__cp -a utils elmo \
+	${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{name}
+%__cp -a etc/icons \
+	${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{name}/etc/.
+%__cp -a NEWS* \
+	${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{name}
+
+
+#
+# build & install info
+#
+
+# %__make EMACS=emacs info
+# %__make EMACS=emacs INFODIR=${RPM_BUILD_ROOT}%{_infodir} install-info
+
+
+#
+# install script( bytecompile el and install elc , remove )   
+#
+
+%_installemacsenscript %{name} %{SOURCE1} 
+
+%_removeemacsenscript  %{name} %{SOURCE2}
+
+
+
+%post 
+
+#
+# bytecompile and install 
+#
+
+if [ "$1" = 2 ]; then
+
+%_emacsenPackageRemove %{name}
+
+fi
+
+%_addemacsenlist %{name}
+
+%_emacsenPackageInstall %{name}
+
+
+# /sbin/install-info %{_infodir}/wl-ja.info.gz %{_infodir}/dir \
+# 	--section="Message User Agent"
+# /sbin/install-info %{_infodir}/wl.info.gz %{_infodir}/dir \
+# 	--section="Message User Agent"
+
+
+%preun
+
+if [ "$1" = 0 ]; then
+
+%_emacsenPackageRemove %{name}
+
+%_removeemacsenlist %{name}
+
+# /sbin/install-info --delete %{_infodir}/wl-ja.info.gz %{_infodir}/dir \
+# 	--section="Message User Agent"
+# /sbin/install-info --delete %{_infodir}/wl.info.gz %{_infodir}/dir \
+# 	--section="Message User Agent"
+fi
+
+
+
+
+%clean
+[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
+
+
+%files
+%defattr(-,root,root)
+%doc BUGS* COPYING* ChangeLog*
+%doc INSTALL* NEWS* README*
+%doc doc etc samples tests
+%{_datadir}/emacs/site-lisp/%{name}/
+%{emacsen_pkgdir}/install/%{name}
+%{emacsen_pkgdir}/remove/%{name}
+#%{_infodir}/wl*.info*
+
+ 
+
+%changelog
+* Sun Feb 20 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.15.9-1.cvs20110220
+- initial build based on wl-2.14.0-3vl6

+ 35 - 0
w/wl-beta/wl-snapshot.sh

@@ -0,0 +1,35 @@
+#!/bin/bash -x
+
+set -e
+
+tmp=$(mktemp -d)
+
+trap cleanup EXIT
+cleanup() {
+    set +e
+    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
+}
+
+unset CDPATH
+pwd=$(pwd)
+
+dirname=wanderlust
+pkgname=wl
+
+cd "$tmp"
+cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/root checkout $dirname
+cd $dirname
+cat>version.el<<EOF
+(load-file "elmo/elmo-version.el")
+(princ (concat elmo-version "\n"))
+EOF
+VERSION=$(emacs --quick --script version.el 2>/dev/null)
+rm -f version.el
+REVISION=$(date +%Y%m%d)
+find . -type d -name CVS -print0 | xargs -0r rm -rf
+cd ..
+mv $dirname ${pkgname}-${VERSION}
+tar Jcf "$pwd"/${pkgname}-${VERSION}.cvs${REVISION}.tar.xz ${pkgname}-${VERSION}
+cd ${pwd} >/dev/null
+
+exit

+ 24 - 0
w/wl/vine-default-wl.el

@@ -0,0 +1,24 @@
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;  -*- coding: utf-8-unix -*-
+;;  FSF Emacs 23 用 Vine Linux Wanderlust 設定
+;;    Munehiro Yamamoto <munepi@vinelinux.org>
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+(autoload 'wl "wl" "Wanderlust" t)
+(autoload 'wl-other-frame "wl" "Wanderlust on new frame." t)
+(autoload 'wl-draft "wl" "Write draft with Wanderlust." t)
+
+;;; デフォルトの Web ブラウザ
+(setq browse-url-browser-function (quote browse-url-firefox))
+
+;;; Bug#419187: wl: smtp-end-of-line is void
+;;; from http://www.nabble.com/Bug-419187%3A-wl%3A-smtp-end-of-line-is-void-to9991482.html
+(setq smtp-end-of-line "\n")
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+(provide 'vine-default-wl)
+
+;; Local Variables:
+;; mode: emacs-lisp
+;; End:

+ 24 - 0
w/wl/wl-init.el

@@ -0,0 +1,24 @@
+;;
+;; wl-init.el
+;;
+;; 	for Vine Linux with emacsen-common
+;; 	Munehiro Yamamoto <munepi@vinelinux.org>
+;; 	MATSUBAYASHI Kohji <shaolin@vinelinux.org>
+
+;;; moved to vine-default-wl.el 
+;; (autoload 'wl "wl" "Wanderlust" t)
+;; (autoload 'wl-other-frame "wl" "Wanderlust on new frame." t)
+;; (autoload 'wl-draft "wl" "Write draft with Wanderlust." t)
+
+(defcustom vine-default-wl t
+  "A boolean for vine-default-wl"
+  :type 'boolean)
+
+(add-hook 'vine-default-setup-hook
+	  (lambda()
+	    (when vine-default-wl
+	      (message "Loading vine-default-wl ...")
+	      (drop-vine-default-from-load-path "/wl-beta$")
+	      (require 'vine-default-wl))))
+
+;;; end of file

+ 97 - 0
w/wl/wl-install.sh

@@ -0,0 +1,97 @@
+#!/bin/sh -e
+#  /usr/lib/emacsen-common/packages/install/wl
+# [ This particular script hasn't been tested, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="wl"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+PIXMAPDIR=/usr/share/${FLAVOR}/etc/wl
+
+EFLAGS="-batch -q"
+COMPILE="-batch -q -f batch-byte-compile"
+
+case "${FLAVOR}" in
+
+    emacs|emacs19)
+
+	;;
+
+    *)
+
+	if [ -e /usr/lib/emacsen-common/packages/install/wemi ]; then
+	    if [ ! -d ${SITELISP}/semi ] ; then
+		/usr/lib/emacsen-common/packages/install/wemi ${FLAVOR}
+	    fi
+	fi
+
+	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
+
+	if [ ! -d /usr/share/emacs/site-lisp/semi ]; then
+	    echo " exited."
+	    echo "W: Please install \`semi' package for ${FLAVOR}." ;
+	    exit 0;
+	fi
+
+	rm -rf ${ELCDIR}
+	install -m 755 -d ${ELCDIR}
+
+	# Byte compile
+	(
+	    cd ${ELDIR}
+	    make EMACS=${FLAVOR} FLAGS="${EFLAGS}" LISPDIR=${SITELISP} \
+		> ${ELCDIR}/CompilationLog 2>&1
+
+	    case "${FLAVOR}" in
+		xemacs-*|emacs-21*)
+		    make EMACS=${FLAVOR} FLAGS="${EFLAGS}" LISPDIR=${SITELISP} \
+			PIXMAPDIR=${PIXMAPDIR} install \
+			>> ${ELCDIR}/CompilationLog 2>&1
+		;;
+		*)
+		    make EMACS=${FLAVOR} FLAGS="${EFLAGS}" LISPDIR=${SITELISP} \
+			PIXMAPDIR=${PIXMAPDIR} \
+			install  >> ${ELCDIR}/CompilationLog 2>&1
+		;;
+	    esac
+
+	    make EMACS=${FLAVOR} FLAGS="${EFLAGS}" LISPDIR=${SITELISP} clean \
+		>> ${ELCDIR}/CompilationLog 2>&1
+
+	    rm -f ${ELCDIR}/*.el
+	    #cp ${STARTFILE} ${ELCDIR}
+	    rm -f *.elc elmo/*.elc
+
+	    rm -f vine-default-${PACKAGE}.elc
+	    install -p -m644 ${ELDIR}/vine-default-${PACKAGE}.el ${ELCDIR}
+	)
+
+	gzip -9 ${ELCDIR}/CompilationLog
+
+	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/55${STARTFILE};
+	echo " done."
+
+	;;
+
+esac
+
+exit 0;

+ 46 - 0
w/wl/wl-remove.sh

@@ -0,0 +1,46 @@
+#!/bin/sh
+# /usr/lib/emacsen-common/packages/remove/wl
+# [ This particular script hasn't been tested either, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="wl"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+PIXMAPDIR=/usr/share/${FLAVOR}/etc/wl
+
+case "${FLAVOR}" in
+
+    emacs|emacs19)
+
+	;;
+
+    *)
+
+	echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+	rm -rf ${ELCDIR}
+	rm -rf ${PIXMAPDIR}
+	rm -f ${STARTDIR}/55${STARTFILE}*
+	echo " done."
+
+	;;
+esac
+
+exit 0;

+ 54 - 19
w/wl/wl-vl.spec

@@ -1,5 +1,9 @@
 %define	_noVersionedDependencies        1
-%define	prereq_ge()  %(LC_ALL="C" rpm -q --queryformat 'PreReq:%%{NAME} >= %%{VERSION}' %1| grep -v "is not")
+%define	prereq_ge()  %(LC_ALL="C" rpm -q --queryformat 'Requires(post):%%{NAME} >= %%{VERSION}' %1| grep -v "is not")
+
+## To build wl-2.14.0, we use emacs-23.X
+%define __emacs %(rpm -q --queryformat "%%{name}-%%{version}" emacs | grep "emacs-23")
+
 
 %define       origname      wl
 %define       origver       2.14.0
@@ -11,7 +15,7 @@ Summary:      IMAP-capable mail/news reader for emacsen
 Summary(ja):  (X)Emacs 用IMAP に対応したメール/ニュースリーダ
 Name:         %{origname}
 Version:      %{origver}
-Release:      3%{?_dist_release}
+Release:      4%{?_dist_release}
 
 Source0:      ftp://ftp.gohome.org/%{origname}/stable/%{origname}-%{origver}.tar.gz
 Source1:      %{origname}-install.sh
@@ -25,14 +29,14 @@ Patch10:      wl-2.8.1-texi-ja.diff
 Patch11:      wl-2.8.1-install-utils.diff
 
 
-License:      GPL2
+License:      GPLv2
 Group:        Applications/Editors/Emacs
 BuildRoot:    %{_tmppath}/%{name}-%{version}-root
 BuildArch:    noarch
 
 
 Obsoletes:     wl-el, Wanderlust, Wanderlust-xemacs
-PreReq:        emacsen
+Requires(post): emacsen
 %prereq_ge     emacsen-common
 %prereq_ge     semi
 %prereq_ge     w3m-el
@@ -41,7 +45,7 @@ BuildRequires: emacsen-common, semi, w3m-el
 
 Vendor:       Project Vine
 Distribution: Vine Linux
-Packager:     MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
+Packager:     shaolin, munepi
 
 
 %description
@@ -64,6 +68,16 @@ Other detailed information can be available at:
   (sorry, much detailed info is currently available only in Japanese)
 
 
+If you install both wl and wl-beta packages on your system, 
+you may add the following configure in your emacs init file 
+%if %{?_dist_release} == "vl5"
+~/.emacs.el: 
+%else
+~/.emacs.d/emacsXX-vine-default.el (XX: emacs major version): 
+%endif
+
+;; I use wl. 
+(setq vine-default-wl-beta nil)
 
 
 %description -l ja
@@ -114,9 +128,23 @@ Wanderlust は、elisp のみで実装された IMAP 対応のメール/ニュ
 を見て下さい。
 
 
+wl と wl-beta パッケージの両方をインストールする場合、
+%if %{?_dist_release} == "vl5"
+~/.emacs.el: 
+%else
+~/.emacs.d/emacsXX-vine-default.el (XX: emacs のメジャーバージョン)
+%endif
+に以下の設定を追加するとよいでしょう。
+
+;; wl を使う
+(setq vine-default-wl-beta nil)
+
 
 %prep
-rm -rf ${RPM_BUILD_DIR}/%{origname}-%{origver}
+## we use emacs-23.X to build wl-2.14.0
+[ -z "%__emacs" ] && exit 1
+
+%__rm -rf ${RPM_BUILD_DIR}/%{origname}-%{origver}
 %setup -q -n %{origname}-%{origver}
 
 %patch1 -p1
@@ -132,27 +160,27 @@ touch doc/*.texi
 [ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
 [ "${RPM_BUILD_ROOT}" != "/" ] && mkdir -p ${RPM_BUILD_ROOT}
 
-mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{origname}/etc
-#mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/emacsen-common/packages/install
-#mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/emacsen-common/packages/remove
-mkdir -p ${RPM_BUILD_ROOT}%{emacsen_pkgdir}/install
-mkdir -p ${RPM_BUILD_ROOT}%{emacsen_pkgdir}/remove
-mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
+%__mkdir_p ${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{origname}/etc
+#%__mkdir_p ${RPM_BUILD_ROOT}%{_libdir}/emacsen-common/packages/install
+#%__mkdir_p ${RPM_BUILD_ROOT}%{_libdir}/emacsen-common/packages/remove
+%__mkdir_p ${RPM_BUILD_ROOT}%{emacsen_pkgdir}/install
+%__mkdir_p ${RPM_BUILD_ROOT}%{emacsen_pkgdir}/remove
+%__mkdir_p ${RPM_BUILD_ROOT}%{_infodir}
 
 
 #
 # install el files
 # 
 
-cp -a WL-* Makefile wl %{SOURCE3} %{SOURCE4} \
+%__cp -a WL-* Makefile wl %{SOURCE3} %{SOURCE4} \
 	${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{origname}
-cp -a utils elmo \
+%__cp -a utils elmo \
 	${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{origname}
-cp -a etc/icons \
+%__cp -a etc/icons \
 	${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{origname}/etc/.
 
 # 2004.12.13 add Irokawa
-cp -a NEWS* \
+%__cp -a NEWS* \
 	${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{origname}
 
 
@@ -161,8 +189,8 @@ cp -a NEWS* \
 # build & install info
 #
 
-make EMACS=emacs info
-make EMACS=emacs INFODIR=${RPM_BUILD_ROOT}%{_infodir} install-info
+yes | %__sed -e "s/y/\n/g" | %__make EMACS=%__emacs info
+%__make EMACS=%__emacs INFODIR=${RPM_BUILD_ROOT}%{_infodir} install-info
 
 
 #
@@ -216,7 +244,7 @@ fi
 
 
 %clean
-[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
+[ "${RPM_BUILD_ROOT}" != "/" ] && %__rm -rf ${RPM_BUILD_ROOT}
 
 
 %files
@@ -236,6 +264,13 @@ fi
  
 
 %changelog
+* Tue Feb 22 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.14.0-4
+- defined %%__emacs
+  - use emacs-23.X to build wl-2.14.0
+- updated wl-init.el
+  - output "Loading vine-default-wl ..." to the buffer *Messages*
+- changed from PreReq: emacsen to Requires(post): emacsen
+
 * Tue Apr 21 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.14.0-3
 - fixed wl-init.el
 

+ 2 - 0
y/yatex/yatex-init.el

@@ -16,6 +16,8 @@
 	  (lambda()
 	    (when vine-default-yatex
 	      (message "Loading vine-default-yatex ...")
+	      (drop-vine-default-from-load-path "/auctex");; /auctex /auctex/images;; "not /auctex$"
+	      (drop-vine-default-from-load-path "/preview-latex");; /preview-latex /preview-latex/images;; not "/preview-latex$"
 	      (require 'vine-default-yatex))
 	    (when vine-default-yahtml
 	      (message "Loading vine-default-yahtml ...")

+ 69 - 0
y/yatex/yatex-install.sh

@@ -0,0 +1,69 @@
+#!/bin/sh -e
+#  /usr/lib/emacsen-common/packages/install/yatex
+# [ This particular script hasn't been tested, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="yatex"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+
+case "${FLAVOR}" in
+
+    *)
+
+	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
+
+	rm -rf ${ELCDIR}
+	install -m 755 -d ${ELCDIR}
+
+	# Byte compile
+	(
+	    cd ${ELDIR}
+
+	    make EMACS=${FLAVOR} EMACSDIR=/usr/share/${FLAVOR} \
+		bytecompile-nw > ${ELCDIR}/CompilationLog 2>&1
+
+	    install -v -m 644 *.el *.elc ${ELCDIR} \
+		>> ${ELCDIR}/CompilationLog 2>&1
+
+	    make clean >> ${ELCDIR}/CompilationLog 2>&1
+
+	    cd ${ELCDIR}
+	    rm -f ${PACKAGE}-init.{el,elc}
+	    rm -f vine-default-${PACKAGE}.elc vine-default-yahtml.elc
+	)
+
+	gzip -9 ${ELCDIR}/CompilationLog
+
+	if [ ! -d ${STARTDIR} ]; then
+	    install -m 755 -d ${STARTDIR}
+	fi
+
+	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/50${STARTFILE};
+
+	echo " done."
+
+	;;
+
+esac
+
+exit 0;

+ 41 - 0
y/yatex/yatex-remove.sh

@@ -0,0 +1,41 @@
+#!/bin/sh
+# /usr/lib/emacsen-common/packages/remove/wl
+# [ This particular script hasn't been tested either, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="yatex"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+PIXMAPDIR=/usr/share/${FLAVOR}/etc/wl
+
+case "${FLAVOR}" in
+
+    *)
+
+	echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+	rm -rf ${ELCDIR}
+	rm -f ${STARTDIR}/50${STARTFILE}*;
+	echo " done."
+
+	;;
+esac
+
+exit 0;

+ 32 - 1
y/yatex/yatex-vl.spec

@@ -3,7 +3,7 @@
 
 Name:          yatex
 Version:       1.74
-Release:       4%{?_dist_release}
+Release:       5%{?_dist_release}
 License:       Distributable
 Source0:       http://www.yatex.org/yatex%{version}.tar.gz 
 #Source0:       http://www.yatex.org/yatex10203151806.tar.gz 
@@ -47,11 +47,38 @@ Vendor:        Project Vine
 YaTeX is an intelligent, acquisitive and integrated package which reduces
 your efforts of composing LaTeX source on GNU Emacs.
 
+
+If you are YaTeX user and you install both yatex and auctex on your system, 
+you may add the following configure in your emacs init file 
+%if %{?_dist_release} == "vl5"
+~/.emacs.el: 
+%else
+~/.emacs.d/emacsXX-vine-default.el (XX: emacs major version): 
+%endif
+
+;; I am YaTeX user!!!
+(setq vine-default-auctex nil
+      vine-default-preview-latex nil)
+
+
 %description -l ja
 YaTeX(野鳥)とは、EmacsでLaTeXソースを書くときに生ずる手間を軽減
 してくれる、LaTeX 入力支援環境です。
 
 
+yatex と auctex パッケージの両方をインストールする場合、
+%if %{?_dist_release} == "vl5"
+~/.emacs.el: 
+%else
+~/.emacs.d/emacsXX-vine-default.el (XX: emacs のメジャーバージョン)
+%endif
+に以下の設定を追加するとよいでしょう。
+
+;; YaTeX ユーザです!!!
+(setq vine-default-auctex nil
+      vine-default-preview-latex nil)
+
+
 %prep
 %setup -n yatex%{version}
 %patch0 -p1
@@ -166,6 +193,10 @@ fi
 
 
 %changelog 
+* Tue Feb 22 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.74-5
+- updated yatex-init.el
+  - dropped all pathes of auctex and preview-latex from load-path
+
 * Sat Jan 29 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.74-4
 - updated vine-default-yatex.el
   - added (setq YaTeX-inhibit-prefix-letter t) [yatex:04567]